> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Message Types

> Get the distinct message types sent for each of the given event IDs.



## OpenAPI

````yaml get /check-in/calendar/event/messages/types
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/calendar/event/messages/types:
    get:
      tags:
        - Calendar and Appointments
      summary: Get Event Message Types
      description: Get the distinct message types sent for each of the given event IDs.
      operationId: get_event_message_types_check_in_calendar_event_messages_types_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: event_ids
          in: query
          required: true
          schema:
            type: array
            items:
              type: string
            title: Event Ids
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: '#/components/schemas/MessageType'
                title: >-
                  Response Get Event Message Types Check In Calendar Event
                  Messages Types Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessageType:
      type: string
      enum:
        - REMINDER
        - PAYMENT_PLAN_RMNDR
        - OVERRIDE
        - FOLLOW_UP
        - EXPIRED
        - CONFIRMATION
        - INTRODUCTORY
        - CANCELLED
        - UPDATE
        - NO_SHOW
        - OUTREACH
        - MISSED_CALL
      title: MessageType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````